com.sun.jna.platform.win32

## Class BaseTSD.SIZE_T

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.BaseTSD.ULONG_PTR
      - - com.sun.jna.platform.win32.BaseTSD.SIZE_T

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable
  Enclosing interface:
    BaseTSD

      public static class BaseTSD.SIZE_T
      extends BaseTSD.ULONG_PTR

  The maximum number of bytes to which a pointer can point. Use for a count that must span the full range of a pointer.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SIZE_T()`
    `SIZE_T(long value)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.BaseTSD.ULONG_PTR

      `toPointer`

    - ### Methods inherited from class com.sun.jna.IntegerType

      `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SIZE_T

          public SIZE_T()

    - #### SIZE_T

          public SIZE_T(long value)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.